Bug 4110 - missing -mms-bitfields support
: missing -mms-bitfields support
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/i386-mingw32msvc-gcc)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-05-10 00:22 by
Modified: 2005-08-30 12:19 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-05-10 00:22:57
Надо бы собрать gcc/c++ с поддержкой флага -mms-bitfields, а ничего без него и
не собирается.

Steps to Reproduce:
1. apt-get i386-mingw32msvc-runtime i386-mingw32msvc-binutils
i386-mingw32msvc-gcc i386-mingw32msvc-c++ 
2. apt-get source glib
3. достать cross-utils (по ссылке с
http://members.lycos.co.uk/alexv6/pub/mingw/Cross-mingw-HOWTO2), потом сказать
cross-configure (BTW, почему у нас нет cross-utils?)
Actual Results:  
должно собраться :)

Expected Results:  
вываливается с руганью про неизвесный флаг, если его закомментить, вываливается
с ошибками.
------- Comment #1 From 2004-05-10 00:24:33 -------
Забыл сказать самое главное:
$ rpm -qa | grep mingw
i386-mingw32msvc-runtime-3.2.2.5-alt1
i386-mingw32msvc-binutils-2.14.90.0.8-alt1.1
i386-mingw32msvc-gcc-3.3.3-alt2.1
i386-mingw32msvc-gcc-c++-3.3.3-alt2.1
------- Comment #2 From 2004-05-11 14:46:01 -------
cross-utils не нужен ;-), на ms-bitfields посмотрю. В своё время mingwш'ный
патч
не приложился...
------- Comment #3 From 2004-05-14 08:22:17 -------
Fixed in 3.3.3-alt2.2